#
# spec file for package webalizer (Version 2.01)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel db1 db1-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp mm module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           webalizer
BuildRequires:  apache2-devel db-devel db1-devel gd-devel libapr-util1-devel libjpeg-devel libpng-devel mm pcre-devel xorg-x11 xorg-x11-devel
%define editlvl 10
License:        LGPL
Group:          Productivity/Networking/Web/Utilities
Provides:       webalize
Obsoletes:      webalize
Autoreqprov:    on
Version:        2.01
Release:        746.1
URL:            http://www.mrunix.net/webalizer/
Summary:        A Web Server Log File Analysis Program
Source:         %{name}-%{version}-%{editlvl}-src.tar.bz2
Patch:          %{name}-%{version}-%{editlvl}.diff
Patch1:         %{name}-%{version}-%{editlvl}-ia64.diff
Patch2:         %{name}-%{version}-%{editlvl}-overflow.diff
Patch3:         %{name}-%{version}-%{editlvl}-maxagent.diff
Patch4:         %{name}-%{version}-%{editlvl}-configuration.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || apxs -q PREFIX)

%description
Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The
results are presented in both columnar and graphical formats, which
facilitates interpretation.  Yearly, monthly, daily, and hourly usage
statistics are presented, along with the ability to display usage by
site, URL, referrer, user agent (browser) and country (user agent and
referrer are only available if your web server produces Combined log
format files).

Webalizer supports CLF (common log format) log files, as well as
Combined log formats as defined by NCSA and others, and variations of
these which it attempts to handle intelligently.



Authors:
--------
    Bradford L. Barrett <brad@usagl.net>

%debug_package
%prep
%setup -q -n %{name}-%{version}-%{editlvl}
%patch
%patch1
%patch2
%patch3
%patch4

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" ./configure --prefix=/usr \
	    --with-gdlib=%{_libdir} \
	    --with-gd=/usr/include/gd \
	    --mandir=%{_mandir} \
	    --enable-dns \
	    %{_target_cpu}-suse-linux
make LIBNAME=%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/webalizer
install -d -m 755 $RPM_BUILD_ROOT/var/lib/webalizer

%clean
#rm -rf $RPM_BUILD_ROOT

%preun
rm -f var/lib/webalizer/*

%files
%defattr(-,root,root)
%config /etc/webalizer.conf
%dir %{apache_serverroot}/htdocs/webalizer
%doc %{_mandir}/man1/webalizer*
%doc CHANGES COPYING Copyright README README.FIRST country-codes.txt
/usr/bin/*
/var/lib/webalizer

%changelog -n webalizer
* Thu Mar 16 2006 - anicka@suse.cz
- change LogFile to /var/log/apache2/access_log (#157931)
- create separate patch with configuration changes
* Tue Mar 14 2006 - anicka@suse.cz
- change OutputDir to /srv/www/htdocs/webalizer (#157932)
* Fri Feb 10 2006 - anicka@suse.cz
- fix array subscript out of range (#135607)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May 23 2005 - mjancar@suse.cz
- increase MAXAGENT (#84040)
* Thu Apr 21 2005 - tcrhak@suse.de
- added db1 and db1-devel to neededforbuild
  in order to enable DNS lookup (bug #59003)
* Mon May 10 2004 - hmacht@suse.de
- building as non-root user
- changed command apxs2 to /usr/sbin/apxs2
  Mo Mai 10 18:00:37 CEST 2004
* Mon Apr 19 2004 - ro@suse.de
- build with apache2
* Thu Jan 09 2003 - tcrhak@suse.cz
- added LFS support
* Sun Dec 22 2002 - tcrhak@suse.cz
- update to version 2.01-10
- buffer overflow security fix (patch overflow)
* Fri Aug 02 2002 - ro@suse.de
- adapt server root
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - tcrhak@suse.cz
- fixed security patch (don't break search strings at chars
  with ascii > 127
- used macros %%{_libdir} and %%{_lib}
* Tue Oct 30 2001 - tcrhak@suse.cz
- update to 2.01-9 (includes sec-fix.patch)
* Wed Jul 18 2001 - adostal@suse.cz
- fixed neededforbuild
- clear requires
* Wed Jun 06 2001 - schwab@suse.de
- Remove stupid casts.
* Wed May 23 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar 21 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 - cihlar@suse.cz
- renamed webalize -> webalizer
- update to version 2.01-6
- fixed neededforbuild
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Oct 05 2000 - cihlar@suse.cz
- update to version 2.01.03
* Tue Aug 29 2000 - cihlar@suse.cz
- fixed webalize.conf
- bzipped sources
* Wed Apr 26 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Mar 13 2000 - grimmer@suse.de
- fixed path to Apache logfiles (have been moved to
  /var/log/httpd for SuSE Linux 6.4)
* Wed Jan 26 2000 - grimmer@suse.de
- specfile updates (added URL, Group)
- Now uses macro for man page locations
* Mon Oct 11 1999 - ro@suse.de
- converted to use png with gdlib 1.7.3
* Sat Oct 02 1999 - grimmer@suse.de
- Update to 1.30-04
- Specfile cleanups
- added docu
* Mon Sep 20 1999 - ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - grimmer@suse.de
- Update to 1.22-03
- corrected sample configuration comment
- specfile tweaks for new version
* Thu Apr 29 1999 - grimmer@suse.de
- corrected typo in config-file
* Tue Oct 06 1998 - grimmer@suse.de
- new version 1.20-07
- specfile cleanup
* Thu Feb 12 1998 - ro@suse.de
- new package by bb for web server log file analysis
